Subject: [Hipsec] Fwd: New Version Notification for draft-ietf-hip-rfc5201-bis-04

From: Tobias Heer <[email-masked]>
Date: Thu, 20 Jan 2011 21:56:37 +0100

Hello,

I just submitted a new version of RFC5201-bis.

http://www.ietf.org/id/draft-ietf-hip-rfc5201-bis-04.txt

Here is the changelog from version 03:

8.1.  Changes from draft-ietf-hip-rfc5201-bis-03

   o  Editorial changes to improve clarity and readability.

   o  Removed obsoleted (not applicable) attack from security
      consideration section.

   o  Added a requirement that hosts MUST support processing of ACK
      parameters with several SEQ numbers even when they do not support
      sending such parameters.

   o  Removed note on memory bound puzzles.  The use of memory bound
      puzzles was reconsidered but no convincing arguments for inclusion
      in this document have been made on the list.

   o  Changed references to reference the new bis documents.

   o  Specified the ECC curves and the hashes used for these.

   o  Specified representation of ECC curves in the HI.

   o  Added text on the dependency between RHASH and HMAC.

   o  Rephrased part of the security considerations to make them
      clearer.

   o  Clarified the use of HITs in opportunistic mode.

   o  Clarified the difference between HIP_MAC and HIP_MAC_2 as well as
      between SIGNATURE and SIGNATURE_2.

   o  Changed NOTIFY name for value 44 from SERVER_BUSY_PLEASE_RETRY to
      RESPONDER_BUSY_PLEASE_RETRY.

   o  Mentioned that there are multiple valid puzzle solutions.

Feel free to provide reviews, comments and suggestions.

Tobias

Anfang der weitergeleiteten E-Mail:

> Von: IETF I-D Submission Tool <[email-masked]>
> Datum: 20. Januar 2011 21:50:32 MEZ
> An: [email-masked]
> Kopie: [email-masked], [email-masked], [email-masked]
> Betreff: New Version Notification for draft-ietf-hip-rfc5201-bis-04
> 
> 
> A new version of I-D, draft-ietf-hip-rfc5201-bis-04.txt has been successfully submitted by Tobias Heer and posted to the IETF repository.
> 
> Filename:	 draft-ietf-hip-rfc5201-bis
> Revision:	 04
> Title:		 Host Identity Protocol
> Creation_date:	 2011-01-20
> WG ID:		 hip
> Number_of_pages: 119
> 
> Abstract:
> This document specifies the details of the Host Identity Protocol
> (HIP).  HIP allows consenting hosts to securely establish and
> maintain shared IP-layer state, allowing separation of the identifier
> and locator roles of IP addresses, thereby enabling continuity of
> communications across IP address changes.  HIP is based on a SIGMA-
> compliant Diffie-Hellman key exchange, using public key identifiers
> from a new Host Identity namespace for mutual peer authentication.
> The protocol is designed to be resistant to denial-of-service (DoS)
> and man-in-the-middle (MitM) attacks.  When used together with
> another suitable security protocol, such as the Encapsulated Security
> Payload (ESP), it provides integrity protection and optional
> encryption for upper-layer protocols, such as TCP and UDP.
> 
> This document obsoletes RFC 5201 and addresses the concerns raised by
> the IESG, particularly that of crypto agility.  It also incorporates
> lessons learned from the implementations of RFC 5201.
> 
> 
> 
> The IETF Secretariat.
> 
>